Skip to main content
GET
/
v1
/
documents
List Documents Endpoint
curl --request GET \
  --url https://api.glialhealth.com/v1/documents
{
  "data": [
    {
      "completed_at": "2023-11-07T05:31:56Z",
      "content_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "document_type": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "id": "<string>",
      "metadata": {},
      "result_url": "<string>",
      "size_bytes": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "object": "document"
    }
  ],
  "has_more": true,
  "object": "list"
}

Headers

authorization
string | null

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
starting_after
string | null
status
enum<string> | null
Available options:
received,
queued,
processing,
completed,
partially_completed,
failed,
deleted

Response

Successful Response

data
DocumentResponse · object[]
required
has_more
boolean
required
object
string
default:list